Jump to content
  • Checkout
  • Login
  • Get in touch

osCommerce

The e-commerce.

Error connection


rusty1001

Recommended Posts

Hi

 

I have a strange problem,,

 

running on local machine as test enviroment

using wamp

 

when I switch to php 4.4 instead of 5 OSC does not work

Why?

>_<

But osc is working great with php 5 but I dont want to run on a test envoroment that then does not work on line

 

I have adjusted where necessary in the config files..and fiddled with a few settings etc

Is it persistant connections, but have set false? and that has not worked...

 

Warning: mysql_pconnect() [function.mysql-pconnect]: Client does not support authentication protocol requested by server; consider upgrading MySQL client in C:\wamp\www\catalog\admin\includes\functions\database.php on line 17

Unable to connect to database server

 

define('STORE_SESSIONS', 'mysql'); // leave empty '' for default handler

 

or set to 'mysql' I have also set this a empty but that did not work..

 

server stats

 

Database: MySQL 5.0.27-community-nt

Server Date: 12/15/2006 09:13:10

HTTP Server: Apache/2.0.59 (Win32) PHP/5.2.0

PHP Version: 5.2.0 (Zend: 2.2.0)

 

Does anyone have any ideas

,

 

thanks for the help

:)

russell

Rusty

-------------------------------------------

Link to comment
Share on other sites

Warning: mysql_pconnect() [function.mysql-pconnect]: Client does not support authentication protocol requested by server; consider upgrading MySQL client in C:\wamp\www\catalog\admin\includes\functions\database.php on line 17

Unable to connect to database server

 

Hi Russell,

 

In my (albeit limited) experience, this is due to the way MySQL stores its passwords, and how different versions of PHP deal with that. You'll need to set the MySQL user account's password, using the OLD_PASSWORD encryption option. I do this using a Windows32 application (Navicat) so I don't know how you would do it using MySQL commands or PhpMyAdmin. I hope this puts you on the right track.

 

Max.

Link to comment
Share on other sites

Hey Russell

 

Im getting that exact same message you were getting, did you find a solution?

 

 

Warning: mysql_pconnect(): Client does not support authentication protocol requested by server; consider upgrading MySQL client in C:\wamp\www\Cart\includes\functions\database.php on line 17

Unable to connect to database server!

 

Cheers Tom

Link to comment
Share on other sites

Hey Russell

 

Im getting that exact same message you were getting, did you find a solution?

Warning: mysql_pconnect(): Client does not support authentication protocol requested by server; consider upgrading MySQL client in C:\wamp\www\Cart\includes\functions\database.php on line 17

Unable to connect to database server!

 

Cheers Tom

 

Hi Guys

 

 

thanks for the the replies, Max I believe is correct - it has something to do with OLD passwords,( I fould that out the hard way - hours of scratching my head saying I am sure that is the password >_< ) it is a very quick way to learn how mysql works from the command line too!

:)

I went back my 'old' system ...

 

...I am running WAMP on local machine that autoinstalls the myql5.2 apache 2 + and php 5... everything is working fine...so I am going to leave it like that..... :) but I guess on would depend on your system and server ...make that that your version of mysql and php compatabile is the most important..... that is where the old passwords comes in .....

 

 

thanks

Rusty

-------------------------------------------

Link to comment
Share on other sites

Archived

This topic is now archived and is closed to further replies.

×
×
  • Create New...